#!/usr/bin/perl

require "parsehtm.pl";


sub inputHandler
{
    local($tagString,$argString,$endString,%tagDict) 
	= @_;

    local($retVal,$type);

    $type = $tagDict{"TYPE"};

    if($type =~ /text/i)
    {
		$retVal  = $tagString." :: text field";
    }
    elsif($type =~ /password/i)
    {
		$retVal  = $tagString." :: password field";
    }
    elsif($type =~ /checkbox/i)
    {
		$retVal  = $tagString." :: checkbox";
    }
    elsif($type =~ /radio/i)
    {
		$retVal  = $tagString." :: radio";
    }
    elsif($type =~ /submit/i)
    {
		$retVal  = $tagString." :: submit";
    }
    elsif($type =~ /hidden/i)
    {
		$retVal  = $tagString." :: hidden field";
    }

    return $retVal
}

$handlerDict{"INPUT"} = "inputHandler";

$output = &parseHtml("inp_pl.htm");

print "Content-type: text/html\n\n";
print $output;

1;


